//////////////////////////////////////////////////////////////////////////////
//  Author : florent robinet (LAL - Orsay): robinet@lal.in2p3.fr
//////////////////////////////////////////////////////////////////////////////
#include "ReadTriggerSegments.h"

using namespace std;

int main (int argc, char* argv[]){

  // check the argument
  if(argc!=4&&argc!=2){
    cerr<<"usage:"<<endl;
    cerr<<argv[0]<<" [file pattern] [GPS_start] [GPS_stop]"<<endl; 
    cerr<<"[file pattern]:  full path to trigger files"<<endl; 
    cerr<<"[GPS_start]:     starting at [GPS_start]"<<endl; 
    cerr<<"[GPS_stop]:      stoping at [GPS_stop]"<<endl;
    cerr<<""<<endl;
    cerr<<"If [GPS_start] and [GPS_stop] are omitted, the total livetime is printed"<<endl;
    cerr<<""<<endl;
    return 1;
  }

  // arguments
  string infiles = (string)argv[1];
  double tmin;
  double tmax;
  if(argc==4){
    tmin    =  atof(argv[2]);
    tmax    =  atof(argv[3]);
    if(tmax<=tmin){
      cerr<<argv[0]<<": the input timing does not make sense."<<endl;
      return 2;
    }
  }
  

  // input triggers
  ReadTriggerSegments *intriggers = new ReadTriggerSegments(infiles,"",0);

  // w/ input segments
  if(argc==4){
    Segments *seg = new Segments();
    seg->AddSegment(tmin,tmax);
    seg->Intersect(intriggers->GetSegments());
    seg->Dump();
    delete intriggers;
    delete seg;
    return 0;
  }

  // w/o input segments
  intriggers->GetSegments()->Dump();

  // cleaning
  delete intriggers;

  return 0;
}

